Status Update

Update the Status of a task

Update the status of a task in the F4D Platform

post
/statusUpdate

Update an existing task in the platform with a new status. For example when a task was in 'new' and now has to move to 'inprogress'. The status refund can also be used for canceling or aborted tasks, even if there is no refund or is not paid via the payment provier.

Authorizations
Ocp-Apim-Subscription-KeystringRequired

Retrieve your subscription key from the APIM developer portal or contact Support.

Body
uniqueIdintegerOptional

The unique taskId provided by an initial webhook call. For example when receiving a status 'new'. Note, both integer and string are accepted.

Example: 1234
newStatusstring · enumOptional

The new status of the task in the system.

Possible values:
refundAmountstringOptional

The amount to be refunded. This values is only required for the status 'refund'. The amount needs to be equal or lower than the amount the customer paid. The refund status can also be used for services not paid via payment provider. In that case, the refundAmount should be set to 0.

Responses
chevron-right
200

successfully created the status update

No content

post
/statusUpdate

No content

Last updated